diff options
Diffstat (limited to 'jjb/oom')
-rw-r--r-- | jjb/oom/oom-helm.yaml | 16 |
1 files changed, 10 insertions, 6 deletions
diff --git a/jjb/oom/oom-helm.yaml b/jjb/oom/oom-helm.yaml index 5a7d377a1..13886207c 100644 --- a/jjb/oom/oom-helm.yaml +++ b/jjb/oom/oom-helm.yaml @@ -12,17 +12,21 @@ #!/bin/bash set -e -o pipefail cd kubernetes/ - if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then - echo "[ERROR] Only release images are allowed in helm charts." - exit 1 + if [ "$GERRIT_BRANCH" != "staging" ]; then + if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then + echo "[ERROR] Only release images are allowed in helm charts." + exit 1 + fi fi make all subproject_build_script: | #!/bin/bash cd kubernetes/ - if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then - echo "[ERROR] Only release images are allowed in helm charts." - exit 1 + if [ "$GERRIT_BRANCH" != "staging" ]; then + if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then + echo "[ERROR] Only release images are allowed in helm charts." + exit 1 + fi fi make common make {subproject} |